import Vue from 'vue';
import Vuetify from 'vuetify';
import 'vue-multiselect-listbox/src/scss/vue-multi-select-listbox.scss';
import 'vuetify/dist/vuetify.min.css';
import '@mdi/font/css/materialdesignicons.css';
import { initTheme } from '@zeedhi/common';
import { Mask } from '@zeedhi/core';
import theme from '../theme';

const vMultiselectListbox = require('vue-multiselect-listbox');

Mask.addPattern('M', /[0,1,2,3,4,5]/);
Vue.use(Vuetify);
Vue.component('v-multiselect-listbox', vMultiselectListbox.default);

export default new Vuetify({
  icons: {
    iconfont: 'mdi',
  },
  theme: initTheme(theme),
});
